Documentation

​
​

Development

User Acquisition

Monetization

Industry

Projects and Apps Client API

v1

Supported
​

Projects and Apps Client API

v1

Supported
​

Unity Services Web APIs
​
​
Endpoints
  • environments

Unity Projects Environments API (Public)

Public Unity API for managing project environments.
Download OpenAPI specification:

List environments for a project


List all the environments for a project.

Path parameters for "List environments for a project"

projectId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

Query parameters for "List environments for a project"

archived

boolean
If set to true, the API returns the archived environments

HTTP response status codes for "List environments for a project":

Code samples for "List environments for a project":

Request example

curl -X GET \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments"

Response example

{ "results": [ { "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z" } ]}

Create an environment in a project


Create an environment under a project.

Path parameters for "Create an environment in a project"

projectId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

Request body for "Create an environment in a project"

Media Type:
application/json

name

string
required
example: staging
The name of the environment. Only lower case characters and digits are allowed.

HTTP response status codes for "Create an environment in a project":

Code samples for "Create an environment in a project":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "name": "staging"}' \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments"

Response example

{ "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z"}

Get an environment


Get a single environment.

Path parameters for "Get an environment"

projectId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

environmentId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0a
ID of the environment

HTTP response status codes for "Get an environment":

Code samples for "Get an environment":

Request example

curl -X GET \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments/{environmentId}"

Response example

{ "id": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectId": "390121ca-bb43-494f-b418-55be4e0c0faf", "projectGenesisId": "e69fb9a4-0b13-43a0-8a47-b599f01d8300", "name": "production", "isDefault": true, "createdAt": "2020-07-20T18:30:51.243Z", "updatedAt": "2020-08-25T11:55:20.651Z", "archivedAt": "2020-08-25T11:55:20.651Z"}

Delete an environment


Delete an existing environment.

Path parameters for "Delete an environment"

projectId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0b
ID of the project

environmentId

string
required
example: 8bdacc33-6eef-4577-beb0-633c86259f0a
ID of the environment

HTTP response status codes for "Delete an environment":

Code samples for "Delete an environment":

Request example

curl -X DELETE \ "https://services.api.unity.com/unity/v1/projects/{projectId}/environments/{environmentId}"

Response example

{ "type": "string", "title": "string", "status": 0, "requestId": null, "code": 0, "detail": "string", "instance": "string", "details": [ {} ]}

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.